=== debian/changelog ===
commandergenius (2.0.1ppa1) xenial; urgency=low

  *  Upstream update to version 2.0.1
  *  Many bug fixes, better performance
  *  Much improved download manager

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 11 Jan 2018 18:40:08 +0100

commandergenius (1.9.8ppa3) xenial; urgency=low

  *  Modern style option finally does something (translucent Keen in hidden areas)
  *  A lot of more and improved error catching
  *  Lots of bug fixes
  *  Improved mods compatibility

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 05 Mar 2017 10:33:29 +0100

commandergenius (1.9.8ppa2) xenial; urgency=low

  *  More Python support (lindsey messages)
  *  Improved die logic
  *  More accesable level in certain mods

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 15 Jan 2017 14:51:39 +0100

commandergenius (1.9.8ppa1) xenial; urgency=low

  *  More Python support and fixes
  *  Computer Wrist and Ending Story in Episode in early stages but starting to work

 -- Gerhard Stein <gerstrong@gmail.com>  Sat, 14 Jan 2017 15:27:54 +0100

commandergenius (1.9.7ppa1) xenial; urgency=low

  *  Python3 support for AI (Keen 9 better supported with that)

 -- Gerhard Stein <gerstrong@gmail.com>  Mon, 26 Dec 2016 18:33:55 +0100

commandergenius (1.9.5ppa5) xenial; urgency=low

  *  Deadlock fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Wed, 29 Jun 2016 19:35:41 +0200

commandergenius (1.9.5ppa4) xenial; urgency=low

  *  Search path fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Wed, 29 Jun 2016 16:06:38 +0200

commandergenius (1.9.5ppa3) xenial; urgency=low

  *  Crash fixes
  *  Improved Game Center

 -- Gerhard Stein <gerstrong@gmail.com>  Wed, 29 Jun 2016 15:12:27 +0200

commandergenius (1.9.5ppa2) xenial; urgency=low

  *  Xenial build set

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 26 Jun 2016 19:00:44 +0200

commandergenius (1.9.5ppa1) trusty; urgency=low

  *  New Downloader which automatically downloads your games
  *  Sandwich menu for touchpad devices
  *  Cheats menu for those who lack of inputting shortcuts
  *  Lots of bugs this time in the audio department

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 26 Jun 2016 18:38:25 +0200

commandergenius (1.9.1ppa2) trusty; urgency=low

  *  Cmake version 2.8.12 compatible

 -- Gerhard Stein <gerstrong@gmail.com>  Tue, 19 Jan 2016 19:13:56 +0100

commandergenius (1.9.1ppa1) trusty; urgency=low

  *  Support for Keen Dreams Mods
  *  A lot of bug fixes especially for Keen Dreams

 -- Gerhard Stein <gerstrong@gmail.com>  Sat, 16 Jan 2016 20:10:54 +0100

commandergenius (1.9.0ppa1) trusty; urgency=low

  *  Support for Keen Dreams

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 06 Dec 2015 14:02:29 +0100

commandergenius (1.8.4ppa3) trusty; urgency=low

  *  Update of Commander Genius

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 05 Nov 2015 19:08:05 +0100

 

commandergenius (1.8.4ppa2) trusty; urgency=low

  *  Update of Commander Genius

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 05 Nov 2015 17:49:17 +0100

commandergenius (1.8.4ppa1) trusty; urgency=low

  *  Update of Commander Genius

 -- Gerhard Stein <gerstrong@gmail.com>  Sun, 01 Nov 2015 21:44:28 +0100

commandergenius (1.8.3ppa3) trusty; urgency=low

  *  Reference fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Tue, 29 Sep 2015 18:07:29 +0200

commandergenius (1.8.3ppa2) trusty; urgency=low

  *  Support for CMake 2.8 put back  

 -- Gerhard Stein <gerstrong@gmail.com>  Tue, 29 Sep 2015 17:32:59 +0200

commandergenius (1.8.3ppa1) trusty; urgency=low

  *  Better effects  
  *  Prepared code for Keen Dreams

 -- Gerhard Stein <gerstrong@gmail.com>  Tue, 29 Sep 2015 17:19:43 +0200

commandergenius (1.8.2.1ppa1) trusty; urgency=low

  *  Message Box is shown in Keen 5 when fuses are broken
  *  Soft collision detection, so Sprites can go through narrow sections in the games (Keen 5 for example has some levels with this issue)$

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 02 Jul 2015 14:07:37 +0200

commandergenius (1.8.2ppa3) trusty; urgency=low

  * Rebuild

 -- Gerhard Stein <gerstrong@gmail.com>  Sat, 27 Jun 2015 10:21:28 +0200

commandergenius (1.8.2ppa2) trusty; urgency=low

  * Updated documentation rules

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 25 Jun 2015 19:46:39 +0200
 

commandergenius (1.8.2ppa1) trusty; urgency=low

  * AI fixes
  * Better SDL 2 support
  * Improved OpenGL support

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 22 Jun 2015 18:26:00 +0100

commandergenius (1.8.1.4ppa2) trusty; urgency=low

  * Galaxy engine fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 15 Jan 2015 19:44:37 +0100

commandergenius (1.8.1.4ppa1) trusty; urgency=low

  * Caches fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 15 Jan 2015 15:20:47 +0100

commandergenius (1.8.1.4) trusty; urgency=low

  * Version update. This solves some vorticon issues
    and enhances the mod support.

 -- Gerhard Stein <gerstrong@gmail.com>  Thu, 15 Jan 2015 13:39:49 +0100

commandergenius (1.8.1.3ppa9) trusty; urgency=low

  * Package dependency fixes

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 16:21:31 +0100
 

commandergenius (1.8.1.3ppa8) trusty; urgency=low

  * Removed Temp files

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 16:21:31 +0100

commandergenius (1.8.1.3ppa7) trusty; urgency=low

  * Corrected dependency of SDL2 Image

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 15:59:48 +0100

commandergenius (1.8.1.3ppa6) trusty; urgency=low

  * Cleanups

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 14:46:31 +0100

commandergenius (1.8.1.3ppa5) trusty; urgency=low

  * Removed annoying Cmake caches

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 14:30:52 +0100

commandergenius (1.8.1.3ppa4) trusty; urgency=low

  * CMake and Build essential dependencies added. Of course we need those!

 -- Gerhard Stein <gerstrong@gmail.com>  Fri, 02 Jan 2015 14:24:15 +0100

commandergenius (1.8.1.3ppa3) trusty; urgency=low

  * Source package fixes


