=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE="Release" -DUSE_PYTHON3=ON -DREFKEEN=ON -DDOWNLOADER=ON
